#! /bin/sh
# Generated by configure.
# Run this file to recreate the current configuration.
# Compiler output produced by configure, useful for debugging
# configure, is in config.log if it exists.

debug=false
ac_cs_recheck=false
ac_cs_silent=false
SHELL=${CONFIG_SHELL-/bin/sh}
## --------------------- ##
## M4sh Initialization.  ##
## --------------------- ##

# Be Bourne compatible
if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
  emulate sh
  NULLCMD=:
  # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
  # is contrary to our usage.  Disable this feature.
  alias -g '${1+"$@"}'='"$@"'
elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
  set -o posix
fi
DUALCASE=1; export DUALCASE # for MKS sh

# Support unset when possible.
if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
  as_unset=unset
else
  as_unset=false
fi


# Work around bugs in pre-3.0 UWIN ksh.
$as_unset ENV MAIL MAILPATH
PS1='$ '
PS2='> '
PS4='+ '

# NLS nuisances.
for as_var in \
  LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
  LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
  LC_TELEPHONE LC_TIME
do
  if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
    eval $as_var=C; export $as_var
  else
    $as_unset $as_var
  fi
done

# Required to use basename.
if expr a : '\(a\)' >/dev/null 2>&1; then
  as_expr=expr
else
  as_expr=false
fi

if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
  as_basename=basename
else
  as_basename=false
fi


# Name of the executable.
as_me=`$as_basename "$0" ||
$as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
	 X"$0" : 'X\(//\)$' \| \
	 X"$0" : 'X\(/\)$' \| \
	 .     : '\(.\)' 2>/dev/null ||
echo X/"$0" |
    sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
  	  /^X\/\(\/\/\)$/{ s//\1/; q; }
  	  /^X\/\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`


# PATH needs CR, and LINENO needs CR and PATH.
# Avoid depending upon Character Ranges.
as_cr_letters='abcdefghijklmnopqrstuvwxyz'
as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
as_cr_Letters=$as_cr_letters$as_cr_LETTERS
as_cr_digits='0123456789'
as_cr_alnum=$as_cr_Letters$as_cr_digits

# The user is always right.
if test "${PATH_SEPARATOR+set}" != set; then
  echo "#! /bin/sh" >conf$$.sh
  echo  "exit 0"   >>conf$$.sh
  chmod +x conf$$.sh
  if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
    PATH_SEPARATOR=';'
  else
    PATH_SEPARATOR=:
  fi
  rm -f conf$$.sh
fi


  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test "x$as_lineno_3"  = "x$as_lineno_2"  || {
  # Find who we are.  Look in the path if we contain no path at all
  # relative or not.
  case $0 in
    *[\\/]* ) as_myself=$0 ;;
    *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in $PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
done

       ;;
  esac
  # We did not find ourselves, most probably we were run as `sh COMMAND'
  # in which case we are not to be found in the path.
  if test "x$as_myself" = x; then
    as_myself=$0
  fi
  if test ! -f "$as_myself"; then
    { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
   { (exit 1); exit 1; }; }
  fi
  case $CONFIG_SHELL in
  '')
    as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
do
  IFS=$as_save_IFS
  test -z "$as_dir" && as_dir=.
  for as_base in sh bash ksh sh5; do
	 case $as_dir in
	 /*)
	   if ("$as_dir/$as_base" -c '
  as_lineno_1=$LINENO
  as_lineno_2=$LINENO
  as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
  test "x$as_lineno_1" != "x$as_lineno_2" &&
  test "x$as_lineno_3"  = "x$as_lineno_2" ') 2>/dev/null; then
	     $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
	     $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
	     CONFIG_SHELL=$as_dir/$as_base
	     export CONFIG_SHELL
	     exec "$CONFIG_SHELL" "$0" ${1+"$@"}
	   fi;;
	 esac
       done
done
;;
  esac

  # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
  # uniformly replaced by the line number.  The first 'sed' inserts a
  # line-number line before each line; the second 'sed' does the real
  # work.  The second script uses 'N' to pair each line-number line
  # with the numbered line, and appends trailing '-' during
  # substitution so that $LINENO is not a special case at line end.
  # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
  # second 'sed' script.  Blame Lee E. McMahon for sed's syntax.  :-)
  sed '=' <$as_myself |
    sed '
      N
      s,$,-,
      : loop
      s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
      t loop
      s,-$,,
      s,^['$as_cr_digits']*\n,,
    ' >$as_me.lineno &&
  chmod +x $as_me.lineno ||
    { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
   { (exit 1); exit 1; }; }

  # Don't try to exec as it changes $[0], causing all sort of problems
  # (the dirname of $[0] is not the place where we might find the
  # original and so on.  Autoconf is especially sensible to this).
  . ./$as_me.lineno
  # Exit status is that of the last command.
  exit
}


case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
  *c*,-n*) ECHO_N= ECHO_C='
' ECHO_T='	' ;;
  *c*,*  ) ECHO_N=-n ECHO_C= ECHO_T= ;;
  *)       ECHO_N= ECHO_C='\c' ECHO_T= ;;
esac

if expr a : '\(a\)' >/dev/null 2>&1; then
  as_expr=expr
else
  as_expr=false
fi

rm -f conf$$ conf$$.exe conf$$.file
echo >conf$$.file
if ln -s conf$$.file conf$$ 2>/dev/null; then
  # We could just check for DJGPP; but this test a) works b) is more generic
  # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
  if test -f conf$$.exe; then
    # Don't use ln at all; we don't have any links
    as_ln_s='cp -p'
  else
    as_ln_s='ln -s'
  fi
elif ln conf$$.file conf$$ 2>/dev/null; then
  as_ln_s=ln
else
  as_ln_s='cp -p'
fi
rm -f conf$$ conf$$.exe conf$$.file

if mkdir -p . 2>/dev/null; then
  as_mkdir_p=:
else
  test -d ./-p && rmdir ./-p
  as_mkdir_p=false
fi

as_executable_p="test -f"

# Sed expression to map a string onto a valid CPP name.
as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"

# Sed expression to map a string onto a valid variable name.
as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"


# IFS
# We need space, tab and new line, in precisely that order.
as_nl='
'
IFS=" 	$as_nl"

# CDPATH.
$as_unset CDPATH

exec 6>&1

# Open the log real soon, to keep \$[0] and so on meaningful, and to
# report actual input values of CONFIG_FILES etc. instead of their
# values after options handling.  Logging --version etc. is OK.
exec 5>>config.log
{
  echo
  sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
## Running $as_me. ##
_ASBOX
} >&5
cat >&5 <<_CSEOF

This file was extended by GNU MP $as_me 4.2.1, which was
generated by GNU Autoconf 2.59.  Invocation command line was

  CONFIG_FILES    = $CONFIG_FILES
  CONFIG_HEADERS  = $CONFIG_HEADERS
  CONFIG_LINKS    = $CONFIG_LINKS
  CONFIG_COMMANDS = $CONFIG_COMMANDS
  $ $0 $@

_CSEOF
echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
echo >&5
config_files=" demos/pexpr-config.h:demos/pexpr-config-h.in demos/calc/calc-config.h:demos/calc/calc-config-h.in Makefile mpbsd/Makefile mpf/Makefile mpn/Makefile mpq/Makefile mpz/Makefile printf/Makefile scanf/Makefile cxx/Makefile tests/Makefile tests/devel/Makefile tests/mpbsd/Makefile tests/mpf/Makefile tests/mpn/Makefile tests/mpq/Makefile tests/mpz/Makefile tests/rand/Makefile tests/misc/Makefile tests/cxx/Makefile doc/Makefile tune/Makefile demos/Makefile demos/calc/Makefile demos/expr/Makefile gmp.h:gmp-h.in mp.h:mp-h.in"
config_headers=" config.h:config.in"
config_links=" mpn/add.c:mpn/generic/add.c mpn/add_1.c:mpn/generic/add_1.c mpn/add_n.asm:mpn/arm/add_n.asm mpn/sub.c:mpn/generic/sub.c mpn/sub_1.c:mpn/generic/sub_1.c mpn/sub_n.asm:mpn/arm/sub_n.asm mpn/mul_1.asm:mpn/arm/mul_1.asm mpn/addmul_1.asm:mpn/arm/addmul_1.asm mpn/submul_1.asm:mpn/arm/submul_1.asm mpn/lshift.c:mpn/generic/lshift.c mpn/rshift.c:mpn/generic/rshift.c mpn/dive_1.c:mpn/generic/dive_1.c mpn/diveby3.c:mpn/generic/diveby3.c mpn/divis.c:mpn/generic/divis.c mpn/divrem.c:mpn/generic/divrem.c mpn/divrem_1.c:mpn/generic/divrem_1.c mpn/divrem_2.c:mpn/generic/divrem_2.c mpn/fib2_ui.c:mpn/generic/fib2_ui.c mpn/mod_1.c:mpn/generic/mod_1.c mpn/mod_34lsub1.c:mpn/generic/mod_34lsub1.c mpn/mode1o.c:mpn/generic/mode1o.c mpn/pre_divrem_1.c:mpn/generic/pre_divrem_1.c mpn/pre_mod_1.c:mpn/generic/pre_mod_1.c mpn/dump.c:mpn/generic/dump.c mpn/mul.c:mpn/generic/mul.c mpn/mul_fft.c:mpn/generic/mul_fft.c mpn/mul_n.c:mpn/generic/mul_n.c mpn/mul_basecase.c:mpn/generic/mul_basecase.c mpn/sqr_basecase.c:mpn/generic/sqr_basecase.c mpn/random.c:mpn/generic/random.c mpn/random2.c:mpn/generic/random2.c mpn/pow_1.c:mpn/generic/pow_1.c mpn/rootrem.c:mpn/generic/rootrem.c mpn/sqrtrem.c:mpn/generic/sqrtrem.c mpn/get_str.c:mpn/generic/get_str.c mpn/set_str.c:mpn/generic/set_str.c mpn/scan0.c:mpn/generic/scan0.c mpn/scan1.c:mpn/generic/scan1.c mpn/popcount.c:mpn/generic/popham.c mpn/hamdist.c:mpn/generic/popham.c mpn/cmp.c:mpn/generic/cmp.c mpn/perfsqr.c:mpn/generic/perfsqr.c mpn/bdivmod.c:mpn/generic/bdivmod.c mpn/gcd_1.c:mpn/generic/gcd_1.c mpn/gcd.c:mpn/generic/gcd.c mpn/gcdext.c:mpn/generic/gcdext.c mpn/tdiv_qr.c:mpn/generic/tdiv_qr.c mpn/dc_divrem_n.c:mpn/generic/dc_divrem_n.c mpn/sb_divrem_mn.c:mpn/generic/sb_divrem_mn.c mpn/jacbase.c:mpn/generic/jacbase.c mpn/get_d.c:mpn/generic/get_d.c mpn/mullow_n.c:mpn/generic/mullow_n.c mpn/mullow_basecase.c:mpn/generic/mullow_basecase.c mpn/udiv.asm:mpn/arm/udiv.asm mpn/copyi.asm:mpn/arm/copyi.asm mpn/copyd.asm:mpn/arm/copyd.asm mpn/invert_limb.asm:mpn/arm/invert_limb.asm mpn/addsub_n.c:mpn/generic/addsub_n.c gmp-mparam.h:mpn/arm/gmp-mparam.h"

ac_cs_usage="\
\`$as_me' instantiates files from templates according to the
current configuration.

Usage: $0 [OPTIONS] [FILE]...

  -h, --help       print this help, then exit
  -V, --version    print version number, then exit
  -q, --quiet      do not print progress messages
  -d, --debug      don't remove temporary files
      --recheck    update $as_me by reconfiguring in the same conditions
  --file=FILE[:TEMPLATE]
		   instantiate the configuration file FILE
  --header=FILE[:TEMPLATE]
		   instantiate the configuration header FILE

Configuration files:
$config_files

Configuration headers:
$config_headers

Configuration links:
$config_links

Report bugs to <bug-autoconf@gnu.org>."
ac_cs_version="\
GNU MP config.status 4.2.1
configured by ./configure, generated by GNU Autoconf 2.59,
  with options \"'--prefix=/build/gap/src/gap4r8/pkg/carat/carat-2.1b1' 'CFLAGS=-O ' 'CPPFLAGS=-D_FORTIFY_SOURCE=2' 'CXXFLAGS=-march=armv7-a -mfloat-abi=hard -mfpu=vfpv3-d16 -O2 -pipe -fstack-protector-strong -fno-plt -I/usr/include/cxsc' 'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now'\"

Copyright (C) 2003 Free Software Foundation, Inc.
This config.status script is free software; the Free Software Foundation
gives unlimited permission to copy, distribute and modify it."
srcdir=.
INSTALL="/usr/bin/install -c"
# If no file are specified by the user, then we need to provide default
# value.  By we need to know if files were specified by the user.
ac_need_defaults=:
while test $# != 0
do
  case $1 in
  --*=*)
    ac_option=`expr "x$1" : 'x\([^=]*\)='`
    ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
    ac_shift=:
    ;;
  -*)
    ac_option=$1
    ac_optarg=$2
    ac_shift=shift
    ;;
  *) # This is not an option, so the user has probably given explicit
     # arguments.
     ac_option=$1
     ac_need_defaults=false;;
  esac

  case $ac_option in
  # Handling of the options.
  -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
    ac_cs_recheck=: ;;
  --version | --vers* | -V )
    echo "$ac_cs_version"; exit 0 ;;
  --he | --h)
    # Conflict between --help and --header
    { { echo "$as_me:$LINENO: error: ambiguous option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: ambiguous option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; };;
  --help | --hel | -h )
    echo "$ac_cs_usage"; exit 0 ;;
  --debug | --d* | -d )
    debug=: ;;
  --file | --fil | --fi | --f )
    $ac_shift
    CONFIG_FILES="$CONFIG_FILES $ac_optarg"
    ac_need_defaults=false;;
  --header | --heade | --head | --hea )
    $ac_shift
    CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
    ac_need_defaults=false;;
  -q | -quiet | --quiet | --quie | --qui | --qu | --q \
  | -silent | --silent | --silen | --sile | --sil | --si | --s)
    ac_cs_silent=: ;;

  # This is an error.
  -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
Try \`$0 --help' for more information." >&5
echo "$as_me: error: unrecognized option: $1
Try \`$0 --help' for more information." >&2;}
   { (exit 1); exit 1; }; } ;;

  *) ac_config_targets="$ac_config_targets $1" ;;

  esac
  shift
done

ac_configure_extra_args=

if $ac_cs_silent; then
  exec 6>/dev/null
  ac_configure_extra_args="$ac_configure_extra_args --silent"
fi

if $ac_cs_recheck; then
  echo "running /bin/sh ./configure " '--prefix=/build/gap/src/gap4r8/pkg/carat/carat-2.1b1' 'CFLAGS=-O ' 'CPPFLAGS=-D_FORTIFY_SOURCE=2' 'CXXFLAGS=-march=armv7-a -mfloat-abi=hard -mfpu=vfpv3-d16 -O2 -pipe -fstack-protector-strong -fno-plt -I/usr/include/cxsc' 'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now' $ac_configure_extra_args " --no-create --no-recursion" >&6
  exec /bin/sh ./configure '--prefix=/build/gap/src/gap4r8/pkg/carat/carat-2.1b1' 'CFLAGS=-O ' 'CPPFLAGS=-D_FORTIFY_SOURCE=2' 'CXXFLAGS=-march=armv7-a -mfloat-abi=hard -mfpu=vfpv3-d16 -O2 -pipe -fstack-protector-strong -fno-plt -I/usr/include/cxsc' 'LDFLAGS=-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now' $ac_configure_extra_args --no-create --no-recursion
fi

for ac_config_target in $ac_config_targets
do
  case "$ac_config_target" in
  # Handling of arguments.
  "demos/pexpr-config.h" ) CONFIG_FILES="$CONFIG_FILES demos/pexpr-config.h:demos/pexpr-config-h.in" ;;
  "demos/calc/calc-config.h" ) CONFIG_FILES="$CONFIG_FILES demos/calc/calc-config.h:demos/calc/calc-config-h.in" ;;
  "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
  "mpbsd/Makefile" ) CONFIG_FILES="$CONFIG_FILES mpbsd/Makefile" ;;
  "mpf/Makefile" ) CONFIG_FILES="$CONFIG_FILES mpf/Makefile" ;;
  "mpn/Makefile" ) CONFIG_FILES="$CONFIG_FILES mpn/Makefile" ;;
  "mpq/Makefile" ) CONFIG_FILES="$CONFIG_FILES mpq/Makefile" ;;
  "mpz/Makefile" ) CONFIG_FILES="$CONFIG_FILES mpz/Makefile" ;;
  "printf/Makefile" ) CONFIG_FILES="$CONFIG_FILES printf/Makefile" ;;
  "scanf/Makefile" ) CONFIG_FILES="$CONFIG_FILES scanf/Makefile" ;;
  "cxx/Makefile" ) CONFIG_FILES="$CONFIG_FILES cxx/Makefile" ;;
  "tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
  "tests/devel/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/devel/Makefile" ;;
  "tests/mpbsd/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/mpbsd/Makefile" ;;
  "tests/mpf/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/mpf/Makefile" ;;
  "tests/mpn/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/mpn/Makefile" ;;
  "tests/mpq/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/mpq/Makefile" ;;
  "tests/mpz/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/mpz/Makefile" ;;
  "tests/rand/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/rand/Makefile" ;;
  "tests/misc/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/misc/Makefile" ;;
  "tests/cxx/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/cxx/Makefile" ;;
  "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
  "tune/Makefile" ) CONFIG_FILES="$CONFIG_FILES tune/Makefile" ;;
  "demos/Makefile" ) CONFIG_FILES="$CONFIG_FILES demos/Makefile" ;;
  "demos/calc/Makefile" ) CONFIG_FILES="$CONFIG_FILES demos/calc/Makefile" ;;
  "demos/expr/Makefile" ) CONFIG_FILES="$CONFIG_FILES demos/expr/Makefile" ;;
  "gmp.h" ) CONFIG_FILES="$CONFIG_FILES gmp.h:gmp-h.in" ;;
  "mp.h" ) CONFIG_FILES="$CONFIG_FILES mp.h:mp-h.in" ;;
  "mpn/$tmp_fn.$tmp_ext" ) CONFIG_LINKS="$CONFIG_LINKS mpn/$tmp_fn.$tmp_ext:mpn/$tmp_dir/$tmp_base.$tmp_ext" ;;
  "gmp-mparam.h" ) CONFIG_LINKS="$CONFIG_LINKS gmp-mparam.h:mpn/$gmp_mparam_dir/gmp-mparam.h" ;;
  "config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS config.h:config.in" ;;
  *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
   { (exit 1); exit 1; }; };;
  esac
done

# If the user did not use the arguments to specify the items to instantiate,
# then the envvar interface is used.  Set only those that are not.
# We use the long form for the default assignment because of an extremely
# bizarre bug on SunOS 4.1.3.
if $ac_need_defaults; then
  test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
  test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
  test "${CONFIG_LINKS+set}" = set || CONFIG_LINKS=$config_links
fi

# Have a temporary directory for convenience.  Make it in the build tree
# simply because there is no reason to put it here, and in addition,
# creating and moving files from /tmp can sometimes cause problems.
# Create a temporary directory, and hook for its removal unless debugging.
$debug ||
{
  trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
  trap '{ (exit 1); exit 1; }' 1 2 13 15
}

# Create a (secure) tmp directory for tmp files.

{
  tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
  test -n "$tmp" && test -d "$tmp"
}  ||
{
  tmp=./confstat$$-$RANDOM
  (umask 077 && mkdir $tmp)
} ||
{
   echo "$me: cannot create a temporary directory in ." >&2
   { (exit 1); exit 1; }
}


#
# CONFIG_FILES section.
#

# No need to generate the scripts if there are no CONFIG_FILES.
# This happens for instance when ./config.status config.h
if test -n "$CONFIG_FILES"; then
  # Protect against being on the right side of a sed subst in config.status.
  sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
   s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
s,@SHELL@,/bin/sh,;t t
s,@PATH_SEPARATOR@,:,;t t
s,@PACKAGE_NAME@,GNU MP,;t t
s,@PACKAGE_TARNAME@,gmp,;t t
s,@PACKAGE_VERSION@,4.2.1,;t t
s,@PACKAGE_STRING@,GNU MP 4.2.1,;t t
s,@PACKAGE_BUGREPORT@,gmp-bugs@swox.com,;t t
s,@exec_prefix@,${prefix},;t t
s,@prefix@,/build/gap/src/gap4r8/pkg/carat/carat-2.1b1,;t t
s,@program_transform_name@,s,x,x,,;t t
s,@bindir@,${exec_prefix}/bin,;t t
s,@sbindir@,${exec_prefix}/sbin,;t t
s,@libexecdir@,${exec_prefix}/libexec,;t t
s,@datadir@,${prefix}/share,;t t
s,@sysconfdir@,${prefix}/etc,;t t
s,@sharedstatedir@,${prefix}/com,;t t
s,@localstatedir@,${prefix}/var,;t t
s,@libdir@,${exec_prefix}/lib,;t t
s,@includedir@,${prefix}/include,;t t
s,@oldincludedir@,/usr/include,;t t
s,@infodir@,${prefix}/info,;t t
s,@mandir@,${prefix}/man,;t t
s,@build_alias@,,;t t
s,@host_alias@,,;t t
s,@target_alias@,,;t t
s,@DEFS@,-DHAVE_CONFIG_H,;t t
s,@ECHO_C@,,;t t
s,@ECHO_N@,-n,;t t
s,@ECHO_T@,,;t t
s,@LIBS@,,;t t
s,@build@,armv7l-unknown-linux-gnu,;t t
s,@build_cpu@,armv7l,;t t
s,@build_vendor@,unknown,;t t
s,@build_os@,linux-gnu,;t t
s,@host@,armv7l-unknown-linux-gnu,;t t
s,@host_cpu@,armv7l,;t t
s,@host_vendor@,unknown,;t t
s,@host_os@,linux-gnu,;t t
s,@INSTALL_PROGRAM@,${INSTALL},;t t
s,@INSTALL_SCRIPT@,${INSTALL},;t t
s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
s,@CYGPATH_W@,echo,;t t
s,@PACKAGE@,gmp,;t t
s,@VERSION@,4.2.1,;t t
s,@ACLOCAL@,${SHELL} /build/gap/src/gap4r8/pkg/carat/carat-2.1b1/functions/Gmp/missing --run aclocal-1.8,;t t
s,@AUTOCONF@,${SHELL} /build/gap/src/gap4r8/pkg/carat/carat-2.1b1/functions/Gmp/missing --run autoconf,;t t
s,@AUTOMAKE@,${SHELL} /build/gap/src/gap4r8/pkg/carat/carat-2.1b1/functions/Gmp/missing --run automake-1.8,;t t
s,@AUTOHEADER@,${SHELL} /build/gap/src/gap4r8/pkg/carat/carat-2.1b1/functions/Gmp/missing --run autoheader,;t t
s,@MAKEINFO@,${SHELL} /build/gap/src/gap4r8/pkg/carat/carat-2.1b1/functions/Gmp/missing --run makeinfo,;t t
s,@AMTAR@,${SHELL} /build/gap/src/gap4r8/pkg/carat/carat-2.1b1/functions/Gmp/missing --run tar,;t t
s,@install_sh@,/build/gap/src/gap4r8/pkg/carat/carat-2.1b1/functions/Gmp/install-sh,;t t
s,@STRIP@,strip,;t t
s,@ac_ct_STRIP@,strip,;t t
s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
s,@mkdir_p@,mkdir -p -- .,;t t
s,@AWK@,gawk,;t t
s,@SET_MAKE@,,;t t
s,@am__leading_dot@,.,;t t
s,@MAINTAINER_MODE_TRUE@,#,;t t
s,@MAINTAINER_MODE_FALSE@,,;t t
s,@MAINT@,#,;t t
s,@WANT_MPBSD_TRUE@,#,;t t
s,@WANT_MPBSD_FALSE@,,;t t
s,@GMP_NAIL_BITS@,0,;t t
s,@ABI@,standard,;t t
s,@HAVE_HOST_CPU_FAMILY_power@,0,;t t
s,@HAVE_HOST_CPU_FAMILY_powerpc@,0,;t t
s,@GMP_LDFLAGS@,,;t t
s,@LIBGMP_LDFLAGS@,,;t t
s,@LIBGMPXX_LDFLAGS@,,;t t
s,@SPEED_CYCLECOUNTER_OBJ@,,;t t
s,@CALLING_CONVENTIONS_OBJS@,,;t t
s,@DEFN_LONG_LONG_LIMB@,/* #undef _LONG_LONG_LIMB */,;t t
s,@CC@,gcc,;t t
s,@CFLAGS@,-O ,;t t
s,@LDFLAGS@,-Wl,-O1,--sort-common,--as-needed,-z,relro,-z,now,;t t
s,@CPPFLAGS@,-D_FORTIFY_SOURCE=2,;t t
s,@ac_ct_CC@,gcc,;t t
s,@EXEEXT@,,;t t
s,@OBJEXT@,o,;t t
s,@CPP@,gcc -E,;t t
s,@CC_FOR_BUILD@,gcc,;t t
s,@CPP_FOR_BUILD@,gcc -E,;t t
s,@EXEEXT_FOR_BUILD@,,;t t
s,@U_FOR_BUILD@,,;t t
s,@LIBM_FOR_BUILD@,-lm,;t t
s,@CCAS@,gcc -c,;t t
s,@CXX@,,;t t
s,@CXXFLAGS@,-march=armv7-a -mfloat-abi=hard -mfpu=vfpv3-d16 -O2 -pipe -fstack-protector-strong -fno-plt -I/usr/include/cxsc,;t t
s,@ac_ct_CXX@,,;t t
s,@WANT_CXX_TRUE@,#,;t t
s,@WANT_CXX_FALSE@,,;t t
s,@CXXCPP@,,;t t
s,@EGREP@,grep -E,;t t
s,@U@,,;t t
s,@ANSI2KNR@,,;t t
s,@AR@,ar,;t t
s,@ac_ct_AR@,ar,;t t
s,@LIBGMP_DLL@,0,;t t
s,@LN_S@,ln -s,;t t
s,@ECHO@,echo,;t t
s,@RANLIB@,ranlib,;t t
s,@ac_ct_RANLIB@,ranlib,;t t
s,@DLLTOOL@,dlltool,;t t
s,@ac_ct_DLLTOOL@,,;t t
s,@AS@,as,;t t
s,@ac_ct_AS@,,;t t
s,@OBJDUMP@,objdump,;t t
s,@ac_ct_OBJDUMP@,,;t t
s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
s,@ENABLE_STATIC_TRUE@,,;t t
s,@ENABLE_STATIC_FALSE@,#,;t t
s,@LIBM@,-lm,;t t
s,@TAL_OBJECT@,tal-reent.lo,;t t
s,@M4@,m4,;t t
s,@BITS_PER_MP_LIMB@,32,;t t
s,@mpn_objs_in_libmp@, mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift$U.lo mpn/rshift$U.lo mpn/dive_1$U.lo mpn/diveby3$U.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1$U.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1$U.lo mpn/mod_34lsub1$U.lo mpn/mode1o$U.lo mpn/pre_divrem_1$U.lo mpn/pre_mod_1$U.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase$U.lo mpn/sqr_basecase$U.lo mpn/pow_1$U.lo mpn/rootrem$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/get_d$U.lo mpn/mullow_n$U.lo mpn/mullow_basecase$U.lo mpn/udiv.lo mpn/copyi.lo mpn/copyd.lo mpn/invert_limb.lo mpn/addsub_n$U.lo,;t t
s,@mpn_objects@, add$U.lo add_1$U.lo add_n.lo sub$U.lo sub_1$U.lo sub_n.lo mul_1.lo addmul_1.lo submul_1.lo lshift$U.lo rshift$U.lo dive_1$U.lo diveby3$U.lo divis$U.lo divrem$U.lo divrem_1$U.lo divrem_2$U.lo fib2_ui$U.lo mod_1$U.lo mod_34lsub1$U.lo mode1o$U.lo pre_divrem_1$U.lo pre_mod_1$U.lo dump$U.lo mul$U.lo mul_fft$U.lo mul_n$U.lo mul_basecase$U.lo sqr_basecase$U.lo random$U.lo random2$U.lo pow_1$U.lo rootrem$U.lo sqrtrem$U.lo get_str$U.lo set_str$U.lo scan0$U.lo scan1$U.lo popcount$U.lo hamdist$U.lo cmp$U.lo perfsqr$U.lo bdivmod$U.lo gcd_1$U.lo gcd$U.lo gcdext$U.lo tdiv_qr$U.lo dc_divrem_n$U.lo sb_divrem_mn$U.lo jacbase$U.lo get_d$U.lo mullow_n$U.lo mullow_basecase$U.lo udiv.lo copyi.lo copyd.lo invert_limb.lo addsub_n$U.lo,;t t
s,@mpn_objs_in_libgmp@, mpn/add$U.lo mpn/add_1$U.lo mpn/add_n.lo mpn/sub$U.lo mpn/sub_1$U.lo mpn/sub_n.lo mpn/mul_1.lo mpn/addmul_1.lo mpn/submul_1.lo mpn/lshift$U.lo mpn/rshift$U.lo mpn/dive_1$U.lo mpn/diveby3$U.lo mpn/divis$U.lo mpn/divrem$U.lo mpn/divrem_1$U.lo mpn/divrem_2$U.lo mpn/fib2_ui$U.lo mpn/mod_1$U.lo mpn/mod_34lsub1$U.lo mpn/mode1o$U.lo mpn/pre_divrem_1$U.lo mpn/pre_mod_1$U.lo mpn/dump$U.lo mpn/mul$U.lo mpn/mul_fft$U.lo mpn/mul_n$U.lo mpn/mul_basecase$U.lo mpn/sqr_basecase$U.lo mpn/random$U.lo mpn/random2$U.lo mpn/pow_1$U.lo mpn/rootrem$U.lo mpn/sqrtrem$U.lo mpn/get_str$U.lo mpn/set_str$U.lo mpn/scan0$U.lo mpn/scan1$U.lo mpn/popcount$U.lo mpn/hamdist$U.lo mpn/cmp$U.lo mpn/perfsqr$U.lo mpn/bdivmod$U.lo mpn/gcd_1$U.lo mpn/gcd$U.lo mpn/gcdext$U.lo mpn/tdiv_qr$U.lo mpn/dc_divrem_n$U.lo mpn/sb_divrem_mn$U.lo mpn/jacbase$U.lo mpn/get_d$U.lo mpn/mullow_n$U.lo mpn/mullow_basecase$U.lo mpn/udiv.lo mpn/copyi.lo mpn/copyd.lo mpn/invert_limb.lo mpn/addsub_n$U.lo,;t t
s,@gmp_srclinks@, mpn/add.c mpn/add_1.c mpn/add_n.asm mpn/sub.c mpn/sub_1.c mpn/sub_n.asm mpn/mul_1.asm mpn/addmul_1.asm mpn/submul_1.asm mpn/lshift.c mpn/rshift.c mpn/dive_1.c mpn/diveby3.c mpn/divis.c mpn/divrem.c mpn/divrem_1.c mpn/divrem_2.c mpn/fib2_ui.c mpn/mod_1.c mpn/mod_34lsub1.c mpn/mode1o.c mpn/pre_divrem_1.c mpn/pre_mod_1.c mpn/dump.c mpn/mul.c mpn/mul_fft.c mpn/mul_n.c mpn/mul_basecase.c mpn/sqr_basecase.c mpn/random.c mpn/random2.c mpn/pow_1.c mpn/rootrem.c mpn/sqrtrem.c mpn/get_str.c mpn/set_str.c mpn/scan0.c mpn/scan1.c mpn/popcount.c mpn/hamdist.c mpn/cmp.c mpn/perfsqr.c mpn/bdivmod.c mpn/gcd_1.c mpn/gcd.c mpn/gcdext.c mpn/tdiv_qr.c mpn/dc_divrem_n.c mpn/sb_divrem_mn.c mpn/jacbase.c mpn/get_d.c mpn/mullow_n.c mpn/mullow_basecase.c mpn/udiv.asm mpn/copyi.asm mpn/copyd.asm mpn/invert_limb.asm mpn/addsub_n.c gmp-mparam.h,;t t
s,@TUNE_SQR_OBJ@,,;t t
s,@HAVE_CLOCK_01@,1,;t t
s,@HAVE_CPUTIME_01@,0,;t t
s,@HAVE_GETRUSAGE_01@,1,;t t
s,@HAVE_GETTIMEOFDAY_01@,1,;t t
s,@HAVE_SIGACTION_01@,1,;t t
s,@HAVE_SIGALTSTACK_01@,1,;t t
s,@HAVE_SIGSTACK_01@,1,;t t
s,@HAVE_SYS_RESOURCE_H_01@,1,;t t
s,@HAVE_STACK_T_01@,1,;t t
s,@LIBCURSES@,-lncurses,;t t
s,@WITH_READLINE_01@,1,;t t
s,@LIBREADLINE@,-lreadline,;t t
s,@YACC@,bison -y,;t t
s,@LEX@,flex,;t t
s,@LEXLIB@,,;t t
s,@LEX_OUTPUT_ROOT@,lex.yy,;t t
s,@LIBOBJS@,,;t t
s,@LTLIBOBJS@,,;t t
CEOF

  # Split the substitutions into bite-sized pieces for seds with
  # small command number limits, like on Digital OSF/1 and HP-UX.
  ac_max_sed_lines=48
  ac_sed_frag=1 # Number of current file.
  ac_beg=1 # First line for current file.
  ac_end=$ac_max_sed_lines # Line after last line for current file.
  ac_more_lines=:
  ac_sed_cmds=
  while $ac_more_lines; do
    if test $ac_beg -gt 1; then
      sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    else
      sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
    fi
    if test ! -s $tmp/subs.frag; then
      ac_more_lines=false
    else
      # The purpose of the label and of the branching condition is to
      # speed up the sed processing (if there are no `@' at all, there
      # is no need to browse any of the substitutions).
      # These are the two extra sed commands mentioned above.
      (echo ':t
  /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
      if test -z "$ac_sed_cmds"; then
	ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
      else
	ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
      fi
      ac_sed_frag=`expr $ac_sed_frag + 1`
      ac_beg=$ac_end
      ac_end=`expr $ac_end + $ac_max_sed_lines`
    fi
  done
  if test -z "$ac_sed_cmds"; then
    ac_sed_cmds=cat
  fi
fi # test -n "$CONFIG_FILES"

for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case $ac_file in
  - | *:- | *:-:* ) # input from stdin
	cat >$tmp/stdin
	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  esac

  # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
  ac_dir=`(dirname "$ac_file") 2>/dev/null ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$ac_file" : 'X\(//\)[^/]' \| \
	 X"$ac_file" : 'X\(//\)$' \| \
	 X"$ac_file" : 'X\(/\)' \| \
	 .     : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
  { if $as_mkdir_p; then
    mkdir -p "$ac_dir"
  else
    as_dir="$ac_dir"
    as_dirs=
    while test ! -d "$as_dir"; do
      as_dirs="$as_dir $as_dirs"
      as_dir=`(dirname "$as_dir") 2>/dev/null ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_dir" : 'X\(//\)[^/]' \| \
	 X"$as_dir" : 'X\(//\)$' \| \
	 X"$as_dir" : 'X\(/\)' \| \
	 .     : '\(.\)' 2>/dev/null ||
echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
    done
    test ! -n "$as_dirs" || mkdir $as_dirs
  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
   { (exit 1); exit 1; }; }; }

  ac_builddir=.

if test "$ac_dir" != .; then
  ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
  # A "../" for each directory in $ac_dir_suffix.
  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
else
  ac_dir_suffix= ac_top_builddir=
fi

case $srcdir in
  .)  # No --srcdir option.  We are building in place.
    ac_srcdir=.
    if test -z "$ac_top_builddir"; then
       ac_top_srcdir=.
    else
       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
    fi ;;
  [\\/]* | ?:[\\/]* )  # Absolute path.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir ;;
  *) # Relative path.
    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_builddir$srcdir ;;
esac

# Do not use `cd foo && pwd` to compute absolute paths, because
# the directories may not exist.
case `pwd` in
.) ac_abs_builddir="$ac_dir";;
*)
  case "$ac_dir" in
  .) ac_abs_builddir=`pwd`;;
  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
  *) ac_abs_builddir=`pwd`/"$ac_dir";;
  esac;;
esac
case $ac_abs_builddir in
.) ac_abs_top_builddir=${ac_top_builddir}.;;
*)
  case ${ac_top_builddir}. in
  .) ac_abs_top_builddir=$ac_abs_builddir;;
  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  esac;;
esac
case $ac_abs_builddir in
.) ac_abs_srcdir=$ac_srcdir;;
*)
  case $ac_srcdir in
  .) ac_abs_srcdir=$ac_abs_builddir;;
  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  esac;;
esac
case $ac_abs_builddir in
.) ac_abs_top_srcdir=$ac_top_srcdir;;
*)
  case $ac_top_srcdir in
  .) ac_abs_top_srcdir=$ac_abs_builddir;;
  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  esac;;
esac


  case $INSTALL in
  [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
  *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
  esac

  if test x"$ac_file" != x-; then
    { echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}
    rm -f "$ac_file"
  fi
  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # use $as_me), people would be surprised to read:
  #    /* config.h.  Generated by config.status.  */
  if test x"$ac_file" = x-; then
    configure_input=
  else
    configure_input="$ac_file.  "
  fi
  configure_input=$configure_input"Generated from `echo $ac_file_in |
				     sed 's,.*/,,'` by configure."

  # First look for the input files in the build tree, otherwise in the
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\\/$]*)
	 # Absolute (can't be DOS-style, as IFS=:)
	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
	 echo "$f";;
      *) # Relative
	 if test -f "$f"; then
	   # Build tree
	   echo "$f"
	 elif test -f "$srcdir/$f"; then
	   # Source tree
	   echo "$srcdir/$f"
	 else
	   # /dev/null tree
	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
	 fi;;
      esac
    done` || { (exit 1); exit 1; }
  sed "/^[	 ]*VPATH[	 ]*=/{
s/:*\$(srcdir):*/:/;
s/:*\${srcdir}:*/:/;
s/:*@srcdir@:*/:/;
s/^\([^=]*=[	 ]*\):*/\1/;
s/:*$//;
s/^[^=]*=[	 ]*$//;
}

:t
/@[a-zA-Z_][a-zA-Z_0-9]*@/!b
s,@configure_input@,$configure_input,;t t
s,@srcdir@,$ac_srcdir,;t t
s,@abs_srcdir@,$ac_abs_srcdir,;t t
s,@top_srcdir@,$ac_top_srcdir,;t t
s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
s,@builddir@,$ac_builddir,;t t
s,@abs_builddir@,$ac_abs_builddir,;t t
s,@top_builddir@,$ac_top_builddir,;t t
s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
s,@INSTALL@,$ac_INSTALL,;t t
" $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
  rm -f $tmp/stdin
  if test x"$ac_file" != x-; then
    mv $tmp/out $ac_file
  else
    cat $tmp/out
    rm -f $tmp/out
  fi

done

#
# CONFIG_HEADER section.
#

# These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
# NAME is the cpp macro being defined and VALUE is the value it is being given.
#
# ac_d sets the value in "#define NAME VALUE" lines.
ac_dA='s,^\([	 ]*\)#\([	 ]*define[	 ][	 ]*\)'
ac_dB='[	 ].*$,\1#\2'
ac_dC=' '
ac_dD=',;t'
# ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
ac_uA='s,^\([	 ]*\)#\([	 ]*\)undef\([	 ][	 ]*\)'
ac_uB='$,\1#\2define\3'
ac_uC=' '
ac_uD=',;t'

for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
  # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
  case $ac_file in
  - | *:- | *:-:* ) # input from stdin
	cat >$tmp/stdin
	ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
	ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
  * )   ac_file_in=$ac_file.in ;;
  esac

  test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
echo "$as_me: creating $ac_file" >&6;}

  # First look for the input files in the build tree, otherwise in the
  # src tree.
  ac_file_inputs=`IFS=:
    for f in $ac_file_in; do
      case $f in
      -) echo $tmp/stdin ;;
      [\\/$]*)
	 # Absolute (can't be DOS-style, as IFS=:)
	 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
	 # Do quote $f, to prevent DOS paths from being IFS'd.
	 echo "$f";;
      *) # Relative
	 if test -f "$f"; then
	   # Build tree
	   echo "$f"
	 elif test -f "$srcdir/$f"; then
	   # Source tree
	   echo "$srcdir/$f"
	 else
	   # /dev/null tree
	   { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
echo "$as_me: error: cannot find input file: $f" >&2;}
   { (exit 1); exit 1; }; }
	 fi;;
      esac
    done` || { (exit 1); exit 1; }
  # Remove the trailing spaces.
  sed 's/[	 ]*$//' $ac_file_inputs >$tmp/in

  # Handle all the #define templates only if necessary.
  if grep "^[	 ]*#[	 ]*define" $tmp/in >/dev/null; then
  # If there are no defines, we may have an empty if/fi
  :
  cat >$tmp/defines.sed <<CEOF
/^[	 ]*#[	 ]*define/!b
t clr
: clr
${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}"GNU MP"${ac_dD}
${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}"gmp"${ac_dD}
${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}"4.2.1"${ac_dD}
${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}"GNU MP 4.2.1"${ac_dD}
${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}"gmp-bugs@swox.com"${ac_dD}
${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"gmp"${ac_dD}
${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"4.2.1"${ac_dD}
${ac_dA}WANT_FFT${ac_dB}WANT_FFT${ac_dC}1${ac_dD}
${ac_dA}HAVE_HOST_CPU_armv7l${ac_dB}HAVE_HOST_CPU_armv7l${ac_dC}1${ac_dD}
${ac_dA}PROTOTYPES${ac_dB}PROTOTYPES${ac_dC}1${ac_dD}
${ac_dA}__PROTOTYPES${ac_dB}__PROTOTYPES${ac_dC}1${ac_dD}
${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_FLOAT_H${ac_dB}HAVE_FLOAT_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_LANGINFO_H${ac_dB}HAVE_LANGINFO_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_LOCALE_H${ac_dB}HAVE_LOCALE_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_NL_TYPES_H${ac_dB}HAVE_NL_TYPES_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_MMAN_H${ac_dB}HAVE_SYS_MMAN_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_PARAM_H${ac_dB}HAVE_SYS_PARAM_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_SYSINFO_H${ac_dB}HAVE_SYS_SYSINFO_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_TIMES_H${ac_dB}HAVE_SYS_TIMES_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_RESOURCE_H${ac_dB}HAVE_SYS_RESOURCE_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYS_SYSCTL_H${ac_dB}HAVE_SYS_SYSCTL_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_DECL_FGETC${ac_dB}HAVE_DECL_FGETC${ac_dC}1${ac_dD}
CEOF
  sed -f $tmp/defines.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  cat >$tmp/defines.sed <<CEOF
/^[	 ]*#[	 ]*define/!b
t clr
: clr
${ac_dA}HAVE_DECL_FSCANF${ac_dB}HAVE_DECL_FSCANF${ac_dC}1${ac_dD}
${ac_dA}HAVE_DECL_OPTARG${ac_dB}HAVE_DECL_OPTARG${ac_dC}1${ac_dD}
${ac_dA}HAVE_DECL_UNGETC${ac_dB}HAVE_DECL_UNGETC${ac_dC}1${ac_dD}
${ac_dA}HAVE_DECL_VFPRINTF${ac_dB}HAVE_DECL_VFPRINTF${ac_dC}1${ac_dD}
${ac_dA}HAVE_DECL_SYS_ERRLIST${ac_dB}HAVE_DECL_SYS_ERRLIST${ac_dC}1${ac_dD}
${ac_dA}HAVE_DECL_SYS_NERR${ac_dB}HAVE_DECL_SYS_NERR${ac_dC}1${ac_dD}
${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
${ac_dA}HAVE_INTMAX_T${ac_dB}HAVE_INTMAX_T${ac_dC}1${ac_dD}
${ac_dA}HAVE_LONG_DOUBLE${ac_dB}HAVE_LONG_DOUBLE${ac_dC}1${ac_dD}
${ac_dA}HAVE_LONG_LONG${ac_dB}HAVE_LONG_LONG${ac_dC}1${ac_dD}
${ac_dA}HAVE_PTRDIFF_T${ac_dB}HAVE_PTRDIFF_T${ac_dC}1${ac_dD}
${ac_dA}HAVE_QUAD_T${ac_dB}HAVE_QUAD_T${ac_dC}1${ac_dD}
${ac_dA}HAVE_UINT_LEAST32_T${ac_dB}HAVE_UINT_LEAST32_T${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRINGIZE${ac_dB}HAVE_STRINGIZE${ac_dC}1${ac_dD}
${ac_dA}HAVE_STDARG${ac_dB}HAVE_STDARG${ac_dC}1${ac_dD}
${ac_dA}HAVE_ATTRIBUTE_CONST${ac_dB}HAVE_ATTRIBUTE_CONST${ac_dC}1${ac_dD}
${ac_dA}HAVE_ATTRIBUTE_MALLOC${ac_dB}HAVE_ATTRIBUTE_MALLOC${ac_dC}1${ac_dD}
${ac_dA}HAVE_ATTRIBUTE_MODE${ac_dB}HAVE_ATTRIBUTE_MODE${ac_dC}1${ac_dD}
${ac_dA}HAVE_ATTRIBUTE_NORETURN${ac_dB}HAVE_ATTRIBUTE_NORETURN${ac_dC}1${ac_dD}
${ac_dA}HAVE_ALLOCA_H${ac_dB}HAVE_ALLOCA_H${ac_dC}1${ac_dD}
${ac_dA}HAVE_ALLOCA${ac_dB}HAVE_ALLOCA${ac_dC}1${ac_dD}
${ac_dA}WANT_TMP_ALLOCA${ac_dB}WANT_TMP_ALLOCA${ac_dC}1${ac_dD}
${ac_dA}HAVE_LIMB_LITTLE_ENDIAN${ac_dB}HAVE_LIMB_LITTLE_ENDIAN${ac_dC}1${ac_dD}
${ac_dA}HAVE_DOUBLE_IEEE_LITTLE_ENDIAN${ac_dB}HAVE_DOUBLE_IEEE_LITTLE_ENDIAN${ac_dC}1${ac_dD}
${ac_dA}HAVE_ALARM${ac_dB}HAVE_ALARM${ac_dC}1${ac_dD}
${ac_dA}HAVE_CLOCK${ac_dB}HAVE_CLOCK${ac_dC}1${ac_dD}
${ac_dA}HAVE_CLOCK_GETTIME${ac_dB}HAVE_CLOCK_GETTIME${ac_dC}1${ac_dD}
${ac_dA}HAVE_GETPAGESIZE${ac_dB}HAVE_GETPAGESIZE${ac_dC}1${ac_dD}
${ac_dA}HAVE_GETRUSAGE${ac_dB}HAVE_GETRUSAGE${ac_dC}1${ac_dD}
${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
${ac_dA}HAVE_LOCALECONV${ac_dB}HAVE_LOCALECONV${ac_dC}1${ac_dD}
${ac_dA}HAVE_MEMSET${ac_dB}HAVE_MEMSET${ac_dC}1${ac_dD}
${ac_dA}HAVE_MMAP${ac_dB}HAVE_MMAP${ac_dC}1${ac_dD}
${ac_dA}HAVE_MPROTECT${ac_dB}HAVE_MPROTECT${ac_dC}1${ac_dD}
${ac_dA}HAVE_NL_LANGINFO${ac_dB}HAVE_NL_LANGINFO${ac_dC}1${ac_dD}
${ac_dA}HAVE_OBSTACK_VPRINTF${ac_dB}HAVE_OBSTACK_VPRINTF${ac_dC}1${ac_dD}
${ac_dA}HAVE_POPEN${ac_dB}HAVE_POPEN${ac_dC}1${ac_dD}
${ac_dA}HAVE_RAISE${ac_dB}HAVE_RAISE${ac_dC}1${ac_dD}
CEOF
  sed -f $tmp/defines.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  cat >$tmp/defines.sed <<CEOF
/^[	 ]*#[	 ]*define/!b
t clr
: clr
${ac_dA}HAVE_SIGACTION${ac_dB}HAVE_SIGACTION${ac_dC}1${ac_dD}
${ac_dA}HAVE_SIGALTSTACK${ac_dB}HAVE_SIGALTSTACK${ac_dC}1${ac_dD}
${ac_dA}HAVE_SIGSTACK${ac_dB}HAVE_SIGSTACK${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRNLEN${ac_dB}HAVE_STRNLEN${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
${ac_dA}HAVE_STRTOUL${ac_dB}HAVE_STRTOUL${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYSCONF${ac_dB}HAVE_SYSCONF${ac_dC}1${ac_dD}
${ac_dA}HAVE_SYSCTL${ac_dB}HAVE_SYSCTL${ac_dC}1${ac_dD}
${ac_dA}HAVE_TIMES${ac_dB}HAVE_TIMES${ac_dC}1${ac_dD}
${ac_dA}HAVE_VSNPRINTF${ac_dB}HAVE_VSNPRINTF${ac_dC}1${ac_dD}
${ac_dA}HAVE_NATIVE_mpn_add_n${ac_dB}HAVE_NATIVE_mpn_add_n${ac_dC}1${ac_dD}
${ac_dA}HAVE_NATIVE_mpn_sub_n${ac_dB}HAVE_NATIVE_mpn_sub_n${ac_dC}1${ac_dD}
${ac_dA}HAVE_NATIVE_mpn_mul_1${ac_dB}HAVE_NATIVE_mpn_mul_1${ac_dC}1${ac_dD}
${ac_dA}HAVE_NATIVE_mpn_addmul_1${ac_dB}HAVE_NATIVE_mpn_addmul_1${ac_dC}1${ac_dD}
${ac_dA}HAVE_NATIVE_mpn_submul_1${ac_dB}HAVE_NATIVE_mpn_submul_1${ac_dC}1${ac_dD}
${ac_dA}HAVE_NATIVE_mpn_udiv_qrnnd${ac_dB}HAVE_NATIVE_mpn_udiv_qrnnd${ac_dC}1${ac_dD}
${ac_dA}HAVE_NATIVE_mpn_copyi${ac_dB}HAVE_NATIVE_mpn_copyi${ac_dC}1${ac_dD}
${ac_dA}HAVE_NATIVE_mpn_copyd${ac_dB}HAVE_NATIVE_mpn_copyd${ac_dC}1${ac_dD}
${ac_dA}HAVE_NATIVE_mpn_invert_limb${ac_dB}HAVE_NATIVE_mpn_invert_limb${ac_dC}1${ac_dD}
${ac_dA}LSYM_PREFIX${ac_dB}LSYM_PREFIX${ac_dC}".L"${ac_dD}
${ac_dA}GMP_MPARAM_H_SUGGEST${ac_dB}GMP_MPARAM_H_SUGGEST${ac_dC}"./mpn/arm/gmp-mparam.h"${ac_dD}
${ac_dA}SIZEOF_UNSIGNED_SHORT${ac_dB}SIZEOF_UNSIGNED_SHORT${ac_dC}2${ac_dD}
${ac_dA}SIZEOF_UNSIGNED${ac_dB}SIZEOF_UNSIGNED${ac_dC}4${ac_dD}
${ac_dA}SIZEOF_UNSIGNED_LONG${ac_dB}SIZEOF_UNSIGNED_LONG${ac_dC}4${ac_dD}
${ac_dA}SIZEOF_MP_LIMB_T${ac_dB}SIZEOF_MP_LIMB_T${ac_dC}4${ac_dD}
${ac_dA}TUNE_SQR_KARATSUBA_MAX${ac_dB}TUNE_SQR_KARATSUBA_MAX${ac_dC}SQR_KARATSUBA_MAX_GENERIC${ac_dD}
${ac_dA}HAVE_STACK_T${ac_dB}HAVE_STACK_T${ac_dC}1${ac_dD}
CEOF
  sed -f $tmp/defines.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  fi # grep

  # Handle all the #undef templates
  cat >$tmp/undefs.sed <<CEOF
/^[	 ]*#[	 ]*undef/!b
t clr
: clr
${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}"GNU MP"${ac_uD}
${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}"gmp"${ac_uD}
${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}"4.2.1"${ac_uD}
${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}"GNU MP 4.2.1"${ac_uD}
${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}"gmp-bugs@swox.com"${ac_uD}
${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"gmp"${ac_uD}
${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"4.2.1"${ac_uD}
${ac_uA}WANT_FFT${ac_uB}WANT_FFT${ac_uC}1${ac_uD}
${ac_uA}HAVE_HOST_CPU_armv7l${ac_uB}HAVE_HOST_CPU_armv7l${ac_uC}1${ac_uD}
${ac_uA}PROTOTYPES${ac_uB}PROTOTYPES${ac_uC}1${ac_uD}
${ac_uA}__PROTOTYPES${ac_uB}__PROTOTYPES${ac_uC}1${ac_uD}
${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_FLOAT_H${ac_uB}HAVE_FLOAT_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_LANGINFO_H${ac_uB}HAVE_LANGINFO_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_LOCALE_H${ac_uB}HAVE_LOCALE_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_NL_TYPES_H${ac_uB}HAVE_NL_TYPES_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_MMAN_H${ac_uB}HAVE_SYS_MMAN_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_PARAM_H${ac_uB}HAVE_SYS_PARAM_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_SYSINFO_H${ac_uB}HAVE_SYS_SYSINFO_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_TIMES_H${ac_uB}HAVE_SYS_TIMES_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_RESOURCE_H${ac_uB}HAVE_SYS_RESOURCE_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYS_SYSCTL_H${ac_uB}HAVE_SYS_SYSCTL_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_DECL_FGETC${ac_uB}HAVE_DECL_FGETC${ac_uC}1${ac_uD}
CEOF
  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  cat >$tmp/undefs.sed <<CEOF
/^[	 ]*#[	 ]*undef/!b
t clr
: clr
${ac_uA}HAVE_DECL_FSCANF${ac_uB}HAVE_DECL_FSCANF${ac_uC}1${ac_uD}
${ac_uA}HAVE_DECL_OPTARG${ac_uB}HAVE_DECL_OPTARG${ac_uC}1${ac_uD}
${ac_uA}HAVE_DECL_UNGETC${ac_uB}HAVE_DECL_UNGETC${ac_uC}1${ac_uD}
${ac_uA}HAVE_DECL_VFPRINTF${ac_uB}HAVE_DECL_VFPRINTF${ac_uC}1${ac_uD}
${ac_uA}HAVE_DECL_SYS_ERRLIST${ac_uB}HAVE_DECL_SYS_ERRLIST${ac_uC}1${ac_uD}
${ac_uA}HAVE_DECL_SYS_NERR${ac_uB}HAVE_DECL_SYS_NERR${ac_uC}1${ac_uD}
${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
${ac_uA}HAVE_INTMAX_T${ac_uB}HAVE_INTMAX_T${ac_uC}1${ac_uD}
${ac_uA}HAVE_LONG_DOUBLE${ac_uB}HAVE_LONG_DOUBLE${ac_uC}1${ac_uD}
${ac_uA}HAVE_LONG_LONG${ac_uB}HAVE_LONG_LONG${ac_uC}1${ac_uD}
${ac_uA}HAVE_PTRDIFF_T${ac_uB}HAVE_PTRDIFF_T${ac_uC}1${ac_uD}
${ac_uA}HAVE_QUAD_T${ac_uB}HAVE_QUAD_T${ac_uC}1${ac_uD}
${ac_uA}HAVE_UINT_LEAST32_T${ac_uB}HAVE_UINT_LEAST32_T${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRINGIZE${ac_uB}HAVE_STRINGIZE${ac_uC}1${ac_uD}
${ac_uA}HAVE_STDARG${ac_uB}HAVE_STDARG${ac_uC}1${ac_uD}
${ac_uA}HAVE_ATTRIBUTE_CONST${ac_uB}HAVE_ATTRIBUTE_CONST${ac_uC}1${ac_uD}
${ac_uA}HAVE_ATTRIBUTE_MALLOC${ac_uB}HAVE_ATTRIBUTE_MALLOC${ac_uC}1${ac_uD}
${ac_uA}HAVE_ATTRIBUTE_MODE${ac_uB}HAVE_ATTRIBUTE_MODE${ac_uC}1${ac_uD}
${ac_uA}HAVE_ATTRIBUTE_NORETURN${ac_uB}HAVE_ATTRIBUTE_NORETURN${ac_uC}1${ac_uD}
${ac_uA}HAVE_ALLOCA_H${ac_uB}HAVE_ALLOCA_H${ac_uC}1${ac_uD}
${ac_uA}HAVE_ALLOCA${ac_uB}HAVE_ALLOCA${ac_uC}1${ac_uD}
${ac_uA}WANT_TMP_ALLOCA${ac_uB}WANT_TMP_ALLOCA${ac_uC}1${ac_uD}
${ac_uA}HAVE_LIMB_LITTLE_ENDIAN${ac_uB}HAVE_LIMB_LITTLE_ENDIAN${ac_uC}1${ac_uD}
${ac_uA}HAVE_DOUBLE_IEEE_LITTLE_ENDIAN${ac_uB}HAVE_DOUBLE_IEEE_LITTLE_ENDIAN${ac_uC}1${ac_uD}
${ac_uA}HAVE_ALARM${ac_uB}HAVE_ALARM${ac_uC}1${ac_uD}
${ac_uA}HAVE_CLOCK${ac_uB}HAVE_CLOCK${ac_uC}1${ac_uD}
${ac_uA}HAVE_CLOCK_GETTIME${ac_uB}HAVE_CLOCK_GETTIME${ac_uC}1${ac_uD}
${ac_uA}HAVE_GETPAGESIZE${ac_uB}HAVE_GETPAGESIZE${ac_uC}1${ac_uD}
${ac_uA}HAVE_GETRUSAGE${ac_uB}HAVE_GETRUSAGE${ac_uC}1${ac_uD}
${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
${ac_uA}HAVE_LOCALECONV${ac_uB}HAVE_LOCALECONV${ac_uC}1${ac_uD}
${ac_uA}HAVE_MEMSET${ac_uB}HAVE_MEMSET${ac_uC}1${ac_uD}
${ac_uA}HAVE_MMAP${ac_uB}HAVE_MMAP${ac_uC}1${ac_uD}
${ac_uA}HAVE_MPROTECT${ac_uB}HAVE_MPROTECT${ac_uC}1${ac_uD}
${ac_uA}HAVE_NL_LANGINFO${ac_uB}HAVE_NL_LANGINFO${ac_uC}1${ac_uD}
${ac_uA}HAVE_OBSTACK_VPRINTF${ac_uB}HAVE_OBSTACK_VPRINTF${ac_uC}1${ac_uD}
${ac_uA}HAVE_POPEN${ac_uB}HAVE_POPEN${ac_uC}1${ac_uD}
${ac_uA}HAVE_RAISE${ac_uB}HAVE_RAISE${ac_uC}1${ac_uD}
CEOF
  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  cat >$tmp/undefs.sed <<CEOF
/^[	 ]*#[	 ]*undef/!b
t clr
: clr
${ac_uA}HAVE_SIGACTION${ac_uB}HAVE_SIGACTION${ac_uC}1${ac_uD}
${ac_uA}HAVE_SIGALTSTACK${ac_uB}HAVE_SIGALTSTACK${ac_uC}1${ac_uD}
${ac_uA}HAVE_SIGSTACK${ac_uB}HAVE_SIGSTACK${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRNLEN${ac_uB}HAVE_STRNLEN${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
${ac_uA}HAVE_STRTOUL${ac_uB}HAVE_STRTOUL${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYSCONF${ac_uB}HAVE_SYSCONF${ac_uC}1${ac_uD}
${ac_uA}HAVE_SYSCTL${ac_uB}HAVE_SYSCTL${ac_uC}1${ac_uD}
${ac_uA}HAVE_TIMES${ac_uB}HAVE_TIMES${ac_uC}1${ac_uD}
${ac_uA}HAVE_VSNPRINTF${ac_uB}HAVE_VSNPRINTF${ac_uC}1${ac_uD}
${ac_uA}HAVE_NATIVE_mpn_add_n${ac_uB}HAVE_NATIVE_mpn_add_n${ac_uC}1${ac_uD}
${ac_uA}HAVE_NATIVE_mpn_sub_n${ac_uB}HAVE_NATIVE_mpn_sub_n${ac_uC}1${ac_uD}
${ac_uA}HAVE_NATIVE_mpn_mul_1${ac_uB}HAVE_NATIVE_mpn_mul_1${ac_uC}1${ac_uD}
${ac_uA}HAVE_NATIVE_mpn_addmul_1${ac_uB}HAVE_NATIVE_mpn_addmul_1${ac_uC}1${ac_uD}
${ac_uA}HAVE_NATIVE_mpn_submul_1${ac_uB}HAVE_NATIVE_mpn_submul_1${ac_uC}1${ac_uD}
${ac_uA}HAVE_NATIVE_mpn_udiv_qrnnd${ac_uB}HAVE_NATIVE_mpn_udiv_qrnnd${ac_uC}1${ac_uD}
${ac_uA}HAVE_NATIVE_mpn_copyi${ac_uB}HAVE_NATIVE_mpn_copyi${ac_uC}1${ac_uD}
${ac_uA}HAVE_NATIVE_mpn_copyd${ac_uB}HAVE_NATIVE_mpn_copyd${ac_uC}1${ac_uD}
${ac_uA}HAVE_NATIVE_mpn_invert_limb${ac_uB}HAVE_NATIVE_mpn_invert_limb${ac_uC}1${ac_uD}
${ac_uA}LSYM_PREFIX${ac_uB}LSYM_PREFIX${ac_uC}".L"${ac_uD}
${ac_uA}GMP_MPARAM_H_SUGGEST${ac_uB}GMP_MPARAM_H_SUGGEST${ac_uC}"./mpn/arm/gmp-mparam.h"${ac_uD}
${ac_uA}SIZEOF_UNSIGNED_SHORT${ac_uB}SIZEOF_UNSIGNED_SHORT${ac_uC}2${ac_uD}
${ac_uA}SIZEOF_UNSIGNED${ac_uB}SIZEOF_UNSIGNED${ac_uC}4${ac_uD}
${ac_uA}SIZEOF_UNSIGNED_LONG${ac_uB}SIZEOF_UNSIGNED_LONG${ac_uC}4${ac_uD}
${ac_uA}SIZEOF_MP_LIMB_T${ac_uB}SIZEOF_MP_LIMB_T${ac_uC}4${ac_uD}
${ac_uA}TUNE_SQR_KARATSUBA_MAX${ac_uB}TUNE_SQR_KARATSUBA_MAX${ac_uC}SQR_KARATSUBA_MAX_GENERIC${ac_uD}
${ac_uA}HAVE_STACK_T${ac_uB}HAVE_STACK_T${ac_uC}1${ac_uD}
s,^[	 ]*#[	 ]*undef[	 ][	 ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
CEOF
  sed -f $tmp/undefs.sed $tmp/in >$tmp/out
  rm -f $tmp/in
  mv $tmp/out $tmp/in

  # Let's still pretend it is `configure' which instantiates (i.e., don't
  # use $as_me), people would be surprised to read:
  #    /* config.h.  Generated by config.status.  */
  if test x"$ac_file" = x-; then
    echo "/* Generated by configure.  */" >$tmp/config.h
  else
    echo "/* $ac_file.  Generated by configure.  */" >$tmp/config.h
  fi
  cat $tmp/in >>$tmp/config.h
  rm -f $tmp/in
  if test x"$ac_file" != x-; then
    if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
      { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
echo "$as_me: $ac_file is unchanged" >&6;}
    else
      ac_dir=`(dirname "$ac_file") 2>/dev/null ||
$as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$ac_file" : 'X\(//\)[^/]' \| \
	 X"$ac_file" : 'X\(//\)$' \| \
	 X"$ac_file" : 'X\(/\)' \| \
	 .     : '\(.\)' 2>/dev/null ||
echo X"$ac_file" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
      { if $as_mkdir_p; then
    mkdir -p "$ac_dir"
  else
    as_dir="$ac_dir"
    as_dirs=
    while test ! -d "$as_dir"; do
      as_dirs="$as_dir $as_dirs"
      as_dir=`(dirname "$as_dir") 2>/dev/null ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_dir" : 'X\(//\)[^/]' \| \
	 X"$as_dir" : 'X\(//\)$' \| \
	 X"$as_dir" : 'X\(/\)' \| \
	 .     : '\(.\)' 2>/dev/null ||
echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
    done
    test ! -n "$as_dirs" || mkdir $as_dirs
  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
   { (exit 1); exit 1; }; }; }

      rm -f $ac_file
      mv $tmp/config.h $ac_file
    fi
  else
    cat $tmp/config.h
    rm -f $tmp/config.h
  fi
# Compute $ac_file's index in $config_headers.
_am_stamp_count=1
for _am_header in $config_headers :; do
  case $_am_header in
    $ac_file | $ac_file:* )
      break ;;
    * )
      _am_stamp_count=`expr $_am_stamp_count + 1` ;;
  esac
done
echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
$as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X$ac_file : 'X\(//\)[^/]' \| \
	 X$ac_file : 'X\(//\)$' \| \
	 X$ac_file : 'X\(/\)' \| \
	 .     : '\(.\)' 2>/dev/null ||
echo X$ac_file |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`/stamp-h$_am_stamp_count
done

#
# CONFIG_LINKS section.
#

for ac_file in : $CONFIG_LINKS; do test "x$ac_file" = x: && continue
  ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
  ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`

  { echo "$as_me:$LINENO: linking $srcdir/$ac_source to $ac_dest" >&5
echo "$as_me: linking $srcdir/$ac_source to $ac_dest" >&6;}

  if test ! -r $srcdir/$ac_source; then
    { { echo "$as_me:$LINENO: error: $srcdir/$ac_source: file not found" >&5
echo "$as_me: error: $srcdir/$ac_source: file not found" >&2;}
   { (exit 1); exit 1; }; }
  fi
  rm -f $ac_dest

  # Make relative symlinks.
  ac_dest_dir=`(dirname "$ac_dest") 2>/dev/null ||
$as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$ac_dest" : 'X\(//\)[^/]' \| \
	 X"$ac_dest" : 'X\(//\)$' \| \
	 X"$ac_dest" : 'X\(/\)' \| \
	 .     : '\(.\)' 2>/dev/null ||
echo X"$ac_dest" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
  { if $as_mkdir_p; then
    mkdir -p "$ac_dest_dir"
  else
    as_dir="$ac_dest_dir"
    as_dirs=
    while test ! -d "$as_dir"; do
      as_dirs="$as_dir $as_dirs"
      as_dir=`(dirname "$as_dir") 2>/dev/null ||
$as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
	 X"$as_dir" : 'X\(//\)[^/]' \| \
	 X"$as_dir" : 'X\(//\)$' \| \
	 X"$as_dir" : 'X\(/\)' \| \
	 .     : '\(.\)' 2>/dev/null ||
echo X"$as_dir" |
    sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
  	  /^X\(\/\/\)[^/].*/{ s//\1/; q; }
  	  /^X\(\/\/\)$/{ s//\1/; q; }
  	  /^X\(\/\).*/{ s//\1/; q; }
  	  s/.*/./; q'`
    done
    test ! -n "$as_dirs" || mkdir $as_dirs
  fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dest_dir\"" >&5
echo "$as_me: error: cannot create directory \"$ac_dest_dir\"" >&2;}
   { (exit 1); exit 1; }; }; }

  ac_builddir=.

if test "$ac_dest_dir" != .; then
  ac_dir_suffix=/`echo "$ac_dest_dir" | sed 's,^\.[\\/],,'`
  # A "../" for each directory in $ac_dir_suffix.
  ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
else
  ac_dir_suffix= ac_top_builddir=
fi

case $srcdir in
  .)  # No --srcdir option.  We are building in place.
    ac_srcdir=.
    if test -z "$ac_top_builddir"; then
       ac_top_srcdir=.
    else
       ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
    fi ;;
  [\\/]* | ?:[\\/]* )  # Absolute path.
    ac_srcdir=$srcdir$ac_dir_suffix;
    ac_top_srcdir=$srcdir ;;
  *) # Relative path.
    ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
    ac_top_srcdir=$ac_top_builddir$srcdir ;;
esac

# Do not use `cd foo && pwd` to compute absolute paths, because
# the directories may not exist.
case `pwd` in
.) ac_abs_builddir="$ac_dest_dir";;
*)
  case "$ac_dest_dir" in
  .) ac_abs_builddir=`pwd`;;
  [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dest_dir";;
  *) ac_abs_builddir=`pwd`/"$ac_dest_dir";;
  esac;;
esac
case $ac_abs_builddir in
.) ac_abs_top_builddir=${ac_top_builddir}.;;
*)
  case ${ac_top_builddir}. in
  .) ac_abs_top_builddir=$ac_abs_builddir;;
  [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
  *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
  esac;;
esac
case $ac_abs_builddir in
.) ac_abs_srcdir=$ac_srcdir;;
*)
  case $ac_srcdir in
  .) ac_abs_srcdir=$ac_abs_builddir;;
  [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
  *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
  esac;;
esac
case $ac_abs_builddir in
.) ac_abs_top_srcdir=$ac_top_srcdir;;
*)
  case $ac_top_srcdir in
  .) ac_abs_top_srcdir=$ac_abs_builddir;;
  [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
  *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
  esac;;
esac


  case $srcdir in
  [\\/$]* | ?:[\\/]* ) ac_rel_source=$srcdir/$ac_source ;;
      *) ac_rel_source=$ac_top_builddir$srcdir/$ac_source ;;
  esac

  # Try a symlink, then a hard link, then a copy.
  ln -s $ac_rel_source $ac_dest 2>/dev/null ||
    ln $srcdir/$ac_source $ac_dest 2>/dev/null ||
    cp -p $srcdir/$ac_source $ac_dest ||
    { { echo "$as_me:$LINENO: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&5
echo "$as_me: error: cannot link or copy $srcdir/$ac_source to $ac_dest" >&2;}
   { (exit 1); exit 1; }; }
done

{ (exit 0); exit 0; }
